<?php
if(isset($user) && $admin['uid']==$user['id'] && $admin['priv']==2 && isset($_GET['act']) && $_GET['act']=='new' || !isset($_GET['act']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_forum_r` WHERE `id_forum` = '$forum[id]' AND `id_comm` = '$id_comm'"),0)==0){
	echo '<form method="post" action="index.php?id_forum='.$forum['id'].'&amp;id_comm='.$id_comm.'&amp;act=new&amp;ok">';
	echo 'Название раздела:<br/><input name="name" type="text" maxlength="32" value=""/><br/>';

if($user['set_translit']==1){
	echo '<label><input type="checkbox" name="translit1" value="1"/> Транслит</label><br/>';
	}

echo '<input value="Создать" type="submit"/><br/>';
echo ' - <a href="/forum/$forum[id]/">Отмена</a></form>';
}

if(isset($user) && $admin['uid']==$user['id'] && $admin['priv']==2 && isset($_GET['act']) && $_GET['act']=='set'){
	echo '<form method="post" action="index.php?id_forum='.$forum['id'].'&amp;id_comm='.$id_comm.'&amp;act=set&amp;ok">';
	echo 'Название форума:<br/><input name="name" type="text" maxlength="32" value="'.$forum['name'].'"/><br/>';

if($user['set_translit']==1){
	echo '<label><input type="checkbox" name="translit1" value="1"/> Транслит</label><br/>';
	}

echo 'Описание:<br/><textarea name="opis">'.esc(trim(stripcslashes(htmlspecialchars($forum['opis'])))).'</textarea><br/>';

if($user['set_translit']==1){
	echo '<label><input type="checkbox" name="translit2" value="1"/> Транслит</label><br/>';
	}

echo 'Позиция:<br/><input name="pos" type="text" maxlength="3" value="'.$forum['pos'].'"/><br/>';

if($forum['adm']==1){
	$check=' checked="checked"';
	}else{
		$check=NULL;
		}

echo '<label><input type="checkbox"'.$check.' name="adm" value="1"/> Только для администрации</label><br/>';
echo '<input value="Изменить" type="submit"/><br/>';
echo ' - <a href="index.php?id_forum='.$forum['id'].'&amp;id_comm='.$id_comm.'">Отмена</a></form>';
}

if(isset($user) && $admin['uid']==$user['id'] && $admin['priv']==2 && isset($_GET['act']) && $_GET['act']=='del'){
	echo '<div class="err">Подтвердите удаление форума<br/>';
	echo '<a href="index.php?id_forum='.$forum['id'].'&amp;id_comm='.$id_comm.'&amp;act=delete&amp;ok">Да</a> <a href="index.php?id_forum='.$forum['id'].'&amp;id_comm='.$id_comm.'">Нет</a></div>';
	}

echo '<div class="foot"> - <a href="index.php?id_forum='.$forum['id'].'&amp;id_comm='.$id_comm.'&amp;act=new">Новый раздел</a><br/>';
echo ' - <a href="index.php?id_forum='.$forum['id'].'&amp;id_comm='.$id_comm.'&amp;act=set">Параметры форума</a><br/>';
echo ' - <a href="index.php?id_forum='.$forum['id'].'&amp;id_comm='.$id_comm.'&amp;act=del">Удалить форум</a></div>';
?>